#include <iostream>

#include "CommandlineOptions.hh"
#include "Options.hh"
#include "ConfData.hh"

#include "Chirotope.hh"
#include "PlacingTriang.hh"
#include "Cocircuits.hh"
#include "Vertices.hh"

int main (const int argc, const char** argv) {
  using namespace topcom;

  CommandlineOptions::init(argc, argv);
  MessageStreams::forced() << std::endl;
  MessageStreams::forced() << "------------------------------------------------------------------\n";
  MessageStreams::forced() << " computing the vertices of a point configuration \n";
  MessageStreams::forced() << " TOPCOM client: " << CommandlineOptions::client() << '\n';
  MessageStreams::forced() << "------------------------------------------------------------------\n";
  MessageStreams::forced() << std::endl;
  
  Options options(Options::NO_SIMPLICIAL_COMPLEX);
  ConfData confdata(options);
  confdata.read_input(std::cin);
  
  MessageStreams::result() << confdata.make_vertices() << std::endl;
}

// eof points2facets.cc
